package cn.com.poc.thirdparty.resource.demand.pay.query;

import cn.com.yict.framemax.data.model.BaseItemClass;

import javax.persistence.Column;
import javax.persistence.Entity;
import java.io.Serializable;

/**
 * Query Item class for OrderMemberListQuery
 */
@Entity
public class OrderMemberListQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** pay_order_id
    *pay_order_id
    */ 
    private Integer payOrderId;
    
    @Column(name = "pay_order_id")
    public Integer getPayOrderId(){
        return this.payOrderId;
    }
    
    public void setPayOrderId(Integer payOrderId){
        this.payOrderId = payOrderId;
    }
    
    /** pay_order_sn
    *pay_order_sn
    */ 
    private String payOrderSn;
    
    @Column(name = "pay_order_sn")
    public String getPayOrderSn(){
        return this.payOrderSn;
    }
    
    public void setPayOrderSn(String payOrderSn){
        this.payOrderSn = payOrderSn;
    }
    
    /** pay_order_type
    *pay_order_type
    */ 
    private String payOrderType;
    
    @Column(name = "pay_order_type")
    public String getPayOrderType(){
        return this.payOrderType;
    }
    
    public void setPayOrderType(String payOrderType){
        this.payOrderType = payOrderType;
    }
    
    /** total_amount
    *total_amount
    */ 
    private Integer totalAmount;
    
    @Column(name = "total_amount")
    public Integer getTotalAmount(){
        return this.totalAmount;
    }
    
    public void setTotalAmount(Integer totalAmount){
        this.totalAmount = totalAmount;
    }

    /**
     * sharer_id
     */
    private Integer sharerId;

    @Column(name = "sharer_id")
    public Integer getSharerId() {
        return sharerId;
    }

    public void setSharerId(Integer sharerId) {
        this.sharerId = sharerId;
    }

    /** paid_amount
    *paid_amount
    */ 
    private Integer paidAmount;
    
    @Column(name = "paid_amount")
    public Integer getPaidAmount(){
        return this.paidAmount;
    }
    
    public void setPaidAmount(Integer paidAmount){
        this.paidAmount = paidAmount;
    }
    
    /** need_pay_amount
    *need_pay_amount
    */ 
    private Integer needPayAmount;
    
    @Column(name = "need_pay_amount")
    public Integer getNeedPayAmount(){
        return this.needPayAmount;
    }
    
    public void setNeedPayAmount(Integer needPayAmount){
        this.needPayAmount = needPayAmount;
    }
    
    /** member_id
    *member_id
    */ 
    private Integer memberId;
    
    @Column(name = "member_id")
    public Integer getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(Integer memberId){
        this.memberId = memberId;
    }
    
    /** marketing_game_flow_no
    *marketing_game_flow_no
    */ 
    private String marketingGameFlowNo;
    
    @Column(name = "marketing_game_flow_no")
    public String getMarketingGameFlowNo(){
        return this.marketingGameFlowNo;
    }
    
    public void setMarketingGameFlowNo(String marketingGameFlowNo){
        this.marketingGameFlowNo = marketingGameFlowNo;
    }
    
    /** currency
    *currency
    */ 
    private String currency;
    
    @Column(name = "currency")
    public String getCurrency(){
        return this.currency;
    }
    
    public void setCurrency(String currency){
        this.currency = currency;
    }
    
    /** retain_information
    *retain_information
    */ 
    private String retainInformation;
    
    @Column(name = "retain_information")
    public String getRetainInformation(){
        return this.retainInformation;
    }
    
    public void setRetainInformation(String retainInformation){
        this.retainInformation = retainInformation;
    }
    
    /** description
    *description
    */ 
    private String description;
    
    @Column(name = "description")
    public String getDescription(){
        return this.description;
    }
    
    public void setDescription(String description){
        this.description = description;
    }
    
    /** order_status
    *order_status
    */ 
    private String orderStatus;
    
    @Column(name = "order_status")
    public String getOrderStatus(){
        return this.orderStatus;
    }
    
    public void setOrderStatus(String orderStatus){
        this.orderStatus = orderStatus;
    }
    
    /** pay_status
    *pay_status
    */ 
    private String payStatus;
    
    @Column(name = "pay_status")
    public String getPayStatus(){
        return this.payStatus;
    }
    
    public void setPayStatus(String payStatus){
        this.payStatus = payStatus;
    }
    
    /** pay_time
    *pay_time
    */ 
    private java.util.Date payTime;
    
    @Column(name = "pay_time")
    public java.util.Date getPayTime(){
        return this.payTime;
    }
    
    public void setPayTime(java.util.Date payTime){
        this.payTime = payTime;
    }
    
    /** cancel_time
    *cancel_time
    */ 
    private java.util.Date cancelTime;
    
    @Column(name = "cancel_time")
    public java.util.Date getCancelTime(){
        return this.cancelTime;
    }
    
    public void setCancelTime(java.util.Date cancelTime){
        this.cancelTime = cancelTime;
    }
    
    /** corp_info_id
    *corp_info_id
    */ 
    private Integer corpInfoId;
    
    @Column(name = "corp_info_id")
    public Integer getCorpInfoId(){
        return this.corpInfoId;
    }
    
    public void setCorpInfoId(Integer corpInfoId){
        this.corpInfoId = corpInfoId;
    }
    
    /** merchant_id
    *merchant_id
    */ 
    private Integer merchantId;
    
    @Column(name = "merchant_id")
    public Integer getMerchantId(){
        return this.merchantId;
    }
    
    public void setMerchantId(Integer merchantId){
        this.merchantId = merchantId;
    }
    
    /** nick_name
    *nick_name
    */ 
    private String nickName;
    
    @Column(name = "nick_name")
    public String getNickName(){
        return this.nickName;
    }
    
    public void setNickName(String nickName){
        this.nickName = nickName;
    }
    
    /** avatar_url
    *avatar_url
    */ 
    private String avatarUrl;
    
    @Column(name = "avatar_url")
    public String getAvatarUrl(){
        return this.avatarUrl;
    }
    
    public void setAvatarUrl(String avatarUrl){
        this.avatarUrl = avatarUrl;
    }
    
    /** mobile_phone
    *mobile_phone
    */ 
    private String mobilePhone;
    
    @Column(name = "mobile_phone")
    public String getMobilePhone(){
        return this.mobilePhone;
    }
    
    public void setMobilePhone(String mobilePhone){
        this.mobilePhone = mobilePhone;
    }
    
} 